<div class="contentRightB">

    <div class="contentFull left filler-bottom-end-p">
        <nz-spin nzTip="Please wait..." [nzSpinning]="isLoading[0]">
            <div class="content-holder filler-top  filler-bottom">
                <h3>{{message.subject}}</h3>
                <a class="smaller" href="{{hostUrl}}/message/all" target="_blank">&#9664; Back to Messages</a>
                <!-- [routerLink]="['/messages', 'all', token]" -->
                <div *ngFor="let message of message.messages" class="opMessage small filler-top">
                    <ul class="filler-top">
                        <li>
                            <a href="{{hostUrl}}/{{message.author?.entityTypeName}}/{{message.author?.entityId}}" target="_blank">
                                <img src='{{hostUrl}}/{{message.author?.avatarLocation}}' />
                            </a>
                        </li>
                        <li>
                            <ul>
                                <li>
                                    <a target="_blank"
                                        href="{{hostUrl}}/{{message.author?.entityTypeName}}/{{message.author?.entityId}}">
                                        {{ message.author?.name }}</a>
                                </li>
                                <li>
                                    <p [innerHtml]="message.context"></p>
                                </li>
                                <li>{{ message.createdOnAgo }} ago</li>
                            </ul>
                        </li>
                    </ul>
                </div>

                <div nz-row style="margin-top: 10px;">
                    <div nz-col nzSpan="12"></div>
                    <div nz-col nzSpan="12">
                        <nz-pagination style="float:right;" [(nzPageIndex)]="page" [nzTotal]="message.totalEntries"
                            [nzPageSize]="pageSize" (nzPageIndexChange)="loadData()"></nz-pagination>
                    </div>
                </div>
            </div>
            <div class="content-holder filler-bottom">
                <div class="tButton">
                    <textarea class="ticketReply small" [(ngModel)]="content" placeholder="Message"></textarea>
                    <input class="smBtn blButton right small" type="button" (click)="postMessage()" value="Reply"
                        style="border:none;">
                    <div class="clear"></div>
                </div>
            </div>
        </nz-spin>

        <nz-spin nzTip="Please wait..." [nzSpinning]="isLoading[2]">
            <div class="content-holder">
                <h4>People in this conversation</h4>
                <div  class="plConv small">
                    <div class="plC" *ngFor="let member of message.members">
                        <a>{{member.member.name}}</a>
                        <a class="xRem" [swal]="{ title: 'Are you sure?', type: 'warning', showCancelButton: true }"
                        (confirm)="removeUser(member.id)">&#x2715;</a>
                    </div>
                    <div class="clear"></div>
                </div>
                <h4>Add recipients to this conversation (max: 10):</h4>
                <div nz-row>
                    <div nz-col nzSpan="20">
                        <nz-mention [nzSuggestions]="suggestions" (nzOnSearchChange)="onSearchChange($event)"
                            [nzLoading]="isLoading[1]" nzNotFoundContent="Entities not found">
                            <input nzMentionTrigger nz-input [(ngModel)]="users" />
                        </nz-mention>
                    </div>
                    <div nz-col nzSpan="4">
                        <input class="smBtn blButton right small" type="button" value="Add entities" (click)="addUser()"
                            style="border:none; width: 90%">
                    </div>
                </div>

                <div class="clear"></div>
            </div>
        </nz-spin>
    </div>
</div>
<div class="clear"></div>